<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Cell Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classCell-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Cell Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a968ecc9417451e4beaf97bbfde92a366"><td class="memItemLeft" align="right" valign="top"><a id="a968ecc9417451e4beaf97bbfde92a366"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Cell</b> (bool state)</td></tr>
<tr class="separator:a968ecc9417451e4beaf97bbfde92a366"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a908130b21a8c6f6b2397d59b83fd5d9b"><td class="memItemLeft" align="right" valign="top"><a id="a908130b21a8c6f6b2397d59b83fd5d9b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>revive</b> ()</td></tr>
<tr class="separator:a908130b21a8c6f6b2397d59b83fd5d9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87123bdc8d521f817d51bef2fb39b3b3"><td class="memItemLeft" align="right" valign="top"><a id="a87123bdc8d521f817d51bef2fb39b3b3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>evolve</b> (int neighbors)</td></tr>
<tr class="separator:a87123bdc8d521f817d51bef2fb39b3b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91567a874674487022a801b418e641fe"><td class="memItemLeft" align="right" valign="top"><a id="a91567a874674487022a801b418e641fe"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><b>operator*</b> ()</td></tr>
<tr class="separator:a91567a874674487022a801b418e641fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcfccc643c62ea33d163968c6cef82e8"><td class="memItemLeft" align="right" valign="top"><a id="adcfccc643c62ea33d163968c6cef82e8"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (bool rhs)</td></tr>
<tr class="separator:adcfccc643c62ea33d163968c6cef82e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Cell_8h_source.html">Cell.h</a></li>
<li>Cell.c++</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
